org.appng.cli.commands.property

## Class ListProperties

- java.lang.Object
- - org.appng.cli.commands.CommandList
  - - org.appng.cli.commands.property.ListProperties

- All Implemented Interfaces:
    ExecutableCliCommand

      public class ListProperties
      extends CommandList
      implements ExecutableCliCommand

  Lists the available sites.

       Usage: appng list-properties [options]
         Options:
           -a
              List only properties of the specified application.
           -c
              Returns only changed properties.
              Default: false
           -f
              Returns only properties containing the filter expression in their name or
              value (case-insensitive).
           -s
              List only properties of the specified site.
           -t
              Prints tab-separated values instead of a table.
              Default: false
           -v
              Verbose output.
              Default: false

  Author:
    Matthias Herlitzius

- - ### Field Summary

    - ### Fields inherited from class org.appng.cli.commands.CommandList

      `beVerbose, prettyTable, tabbedValues`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListProperties()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(CliEnvironment cle)` Executes the command.
    `protected boolean` | `printRow(Property property, boolean showOnlyChangedValues, String filterValue)`

    - ### Methods inherited from class org.appng.cli.commands.CommandList

      `getPrettyTable, renderTable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListProperties

          public ListProperties()

  - ### Method Detail

    - #### execute

          public void execute(CliEnvironment cle)
                       throws BusinessException

      Description copied from interface: `ExecutableCliCommand`
      Executes the command.
      Specified by:
        `execute` in interface `ExecutableCliCommand`
      Parameters:
        `cle` - the `CliEnvironment` to use
      Throws:
        `BusinessException` - if on error occurs while executing the command

    - #### printRow

          protected boolean printRow(Property property,
                                     boolean showOnlyChangedValues,
                                     String filterValue)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.